<script setup lang="ts">
import { useReceiptStore } from "@/stores/receipt";
import { computed, onMounted, ref } from "vue";
import ReceiptPaperHistory from "./ReceiptPaperHistory.vue";
const receiptStore = useReceiptStore();
const formatDate = (dateString: any): string => {
  if (!dateString) return "";

  const options: Intl.DateTimeFormatOptions = {
    year: "numeric",
    month: "numeric",
    day: "numeric",
    hour: "numeric",
    minute: "numeric",
  };

  const formattedDate = new Date(dateString).toLocaleString("en-US", options);
  return formattedDate;
};

const showReceiptPaper = (receiptId: number) => {
  console.log(receiptId);
  receiptStore.getOrder(receiptId);
};

onMounted(async () => {
  await receiptStore.getOrders();
  console.log(receiptStore.Orders);
});
</script>
<template>
  <div style="width: 90%; margin: 5%">
    <v-parallax height="auto" overflow-y="hidden">
      <v-card>
        <v-card-title class="text-h5" style="background-color: #c0c0c0">
          <v-icon icon="mdi mdi-book-clock"></v-icon>
          Backdated receipt
        </v-card-title>
        <v-card-text>
          <v-form ref="refForm">
            <v-table fixed-header height="550px" style="overflow: auto">
              <thead>
                <tr>
                  <th class="text-center">ID</th>
                  <th class="text-center">User</th>
                  <th class="text-center">Time</th>
                  <th class="text-center">Member</th>
                  <th class="text-center">Quantity</th>
                  <th class="text-center">Totol</th>
                  <th class="text-center">paymentType</th>
                  <th class="text-center">receipt</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item in receiptStore.Orders" :key="item.id">
                  <td class="text-center">{{ item.id }}</td>
                  <td class="text-center">{{ item.userId }}</td>
                  <td class="text-center">{{ formatDate(item.created) }}</td>
                  <td class="text-center">
                    {{ item.memberId }}
                  </td>
                  <td class="text-center">{{ item.qty }}</td>
                  <td class="text-center">{{ item.total }}</td>
                  <td class="text-center">{{ item.paymentType }}</td>
                  <td class="text-center">
                    <v-icon size="small" class="me-2" @click="showReceiptPaper(item.id)"
                      >mdi-eye</v-icon
                    >
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-spacer></v-spacer>
        </v-card-actions>
      </v-card>
    </v-parallax>
  </div>
  <ReceiptPaperHistory></ReceiptPaperHistory>
</template>
